#
# Cookbook:: kosmos_email
# Recipe:: spamassassin
#

%w[
  spamassassin
  spamc
  spamass-milter
].each do |pkg|
  apt_package pkg
end

domain         = node["email"]["domain"]
report_contact = node["email"]["report_contact"]

template "/etc/default/spamassassin" do
  source    "spamassassin_default.erb"
  mode      0644
  variables options: "-u debian-spamd --nouser-config --max-children 10"
  notifies :restart, "service[spamassassin]", :delayed
end

template "/etc/spamassassin/local.cf" do
  source    "spamassassin_local.cf.erb"
  mode      0644
  variables whitelist_auth: "*@#{domain}",
            report_contact: report_contact
  notifies :restart, "service[spamassassin]", :delayed
end

service "spamassassin" do
  action [:enable, :start]
end
