#
# Cookbook:: kosmos_liquor-cabinet
# Recipe:: nginx
#

app_name = node['liquor-cabinet']['app_name']
domain   = node[app_name]['domain']

tls_cert_for domain do
  auth "gandi_dns"
  action :create
end

upstream_hosts = []
search(:node, "role:#{node[app_name]['app_server_role']}").each do |node|
  upstream_hosts << node["knife_zero"]["host"]
end
upstream_hosts.push("localhost") if upstream_hosts.empty?

openresty_site domain do
  template "nginx_conf_liquor-cabinet.erb"
  variables app_name: app_name,
            server_name: domain,
            root_redirect_url: node[app_name]['root_redirect_url'],
            max_upload_size: node['liquor-cabinet']['max_upload_size'],
            upstream_hosts: upstream_hosts,
            upstream_port: node[app_name]['rainbows']['port'],
            ssl_cert: "/etc/letsencrypt/live/#{domain}/fullchain.pem",
            ssl_key: "/etc/letsencrypt/live/#{domain}/privkey.pem"
end
